-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.36-community-log


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema trabalho_pcc
--

CREATE DATABASE IF NOT EXISTS trabalho_pcc;
USE trabalho_pcc;

--
-- Definition of table `agenda`
--

DROP TABLE IF EXISTS `agenda`;
CREATE TABLE `agenda` (
  `agenda_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `agenda_hora` time NOT NULL,
  `agenda_analise` varchar(3) NOT NULL,
  `agenda_cod_pac` int(10) unsigned NOT NULL,
  `agenda_cod_den` int(10) unsigned NOT NULL,
  `agenda_data` date NOT NULL,
  `agenda_finalizar` varchar(2) NOT NULL,
  PRIMARY KEY (`agenda_cod`),
  KEY `FK_paciente` (`agenda_cod_pac`),
  KEY `FK_dentista` (`agenda_cod_den`),
  CONSTRAINT `FK_dentista` FOREIGN KEY (`agenda_cod_den`) REFERENCES `dentista` (`dentista_cod`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_paciente` FOREIGN KEY (`agenda_cod_pac`) REFERENCES `paciente` (`paciente_cod`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `agenda`
--

/*!40000 ALTER TABLE `agenda` DISABLE KEYS */;
INSERT INTO `agenda` (`agenda_cod`,`agenda_hora`,`agenda_analise`,`agenda_cod_pac`,`agenda_cod_den`,`agenda_data`,`agenda_finalizar`) VALUES 
 (7,'08:00:00','nao',96,6,'2010-08-16','ok'),
 (8,'09:00:00','nao',96,6,'2010-08-17','ok'),
 (9,'14:30:00','nao',92,6,'2010-08-16','ok'),
 (10,'14:00:00','nao',92,6,'2010-08-17',''),
 (11,'10:00:00','nao',93,6,'2010-08-17','ok'),
 (12,'10:00:00','nao',93,6,'2010-08-18','ok');
/*!40000 ALTER TABLE `agenda` ENABLE KEYS */;


--
-- Definition of table `dente`
--

DROP TABLE IF EXISTS `dente`;
CREATE TABLE `dente` (
  `dente_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dente_nome` varchar(45) NOT NULL,
  PRIMARY KEY (`dente_cod`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dente`
--

/*!40000 ALTER TABLE `dente` DISABLE KEYS */;
INSERT INTO `dente` (`dente_cod`,`dente_nome`) VALUES 
 (1,'11'),
 (2,'12'),
 (3,'13'),
 (4,'14'),
 (5,'15'),
 (6,'16'),
 (7,'17'),
 (8,'18'),
 (9,'21'),
 (10,'22'),
 (11,'23'),
 (12,'24'),
 (13,'25'),
 (14,'26'),
 (15,'27'),
 (16,'28'),
 (17,'31'),
 (18,'32'),
 (19,'33'),
 (20,'34'),
 (21,'35'),
 (22,'36'),
 (23,'37'),
 (24,'38'),
 (25,'41'),
 (26,'42'),
 (27,'43'),
 (28,'44'),
 (29,'45'),
 (30,'46'),
 (31,'47'),
 (32,'48');
/*!40000 ALTER TABLE `dente` ENABLE KEYS */;


--
-- Definition of table `dentista`
--

DROP TABLE IF EXISTS `dentista`;
CREATE TABLE `dentista` (
  `dentista_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dentista_nome` varchar(45) NOT NULL,
  `dentista_rua` varchar(45) NOT NULL,
  `dentista_bairro` varchar(45) NOT NULL,
  `dentista_cidade` varchar(45) NOT NULL,
  `dentista_cep` varchar(45) NOT NULL,
  `dentista_estado` varchar(45) NOT NULL,
  `dentista_rg` varchar(45) NOT NULL,
  `dentista_cpf` varchar(45) NOT NULL,
  `dentista_telefone_1` varchar(45) NOT NULL,
  `dentista_data_nasc` date NOT NULL,
  `dentista_sexo` varchar(9) NOT NULL,
  PRIMARY KEY (`dentista_cod`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dentista`
--

/*!40000 ALTER TABLE `dentista` DISABLE KEYS */;
INSERT INTO `dentista` (`dentista_cod`,`dentista_nome`,`dentista_rua`,`dentista_bairro`,`dentista_cidade`,`dentista_cep`,`dentista_estado`,`dentista_rg`,`dentista_cpf`,`dentista_telefone_1`,`dentista_data_nasc`,`dentista_sexo`) VALUES 
 (4,'Marcos Alberto ',' ',' ',' ','0 ',' ',' ','0 ','0','0000-00-00','Masculino'),
 (6,'Andreia Oliveira da Silveira','','','','','','','','','0000-00-00','');
/*!40000 ALTER TABLE `dentista` ENABLE KEYS */;


--
-- Definition of table `itens_tratamento`
--

DROP TABLE IF EXISTS `itens_tratamento`;
CREATE TABLE `itens_tratamento` (
  `itens_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `itens_dente_cod` int(10) unsigned NOT NULL,
  `itens_preco` float NOT NULL,
  `itens_concluido` varchar(3) NOT NULL,
  `itens_tratamento_cod` int(10) unsigned NOT NULL,
  `itens_servicos_cod` int(10) unsigned NOT NULL,
  `itens_data_concluido` date NOT NULL,
  PRIMARY KEY (`itens_cod`),
  KEY `FK_itens_tratamento_3` (`itens_dente_cod`),
  KEY `FK_servicos` (`itens_servicos_cod`),
  KEY `FK_tratamento` (`itens_tratamento_cod`),
  CONSTRAINT `FK_itens_tratamento_3` FOREIGN KEY (`itens_dente_cod`) REFERENCES `dente` (`dente_cod`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_servicos` FOREIGN KEY (`itens_servicos_cod`) REFERENCES `servico` (`servico_cod`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_tratamento` FOREIGN KEY (`itens_tratamento_cod`) REFERENCES `tratamento` (`tratamento_cod`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `itens_tratamento`
--

/*!40000 ALTER TABLE `itens_tratamento` DISABLE KEYS */;
INSERT INTO `itens_tratamento` (`itens_cod`,`itens_dente_cod`,`itens_preco`,`itens_concluido`,`itens_tratamento_cod`,`itens_servicos_cod`,`itens_data_concluido`) VALUES 
 (1,2,15,'sim',1,6,'2010-08-17'),
 (2,2,100,'sim',1,3,'2010-08-17'),
 (3,13,500,'sim',1,8,'2010-08-17'),
 (4,17,150,'nao',2,5,'0000-00-00'),
 (5,16,150,'nao',2,5,'0000-00-00'),
 (6,16,35,'sim',3,6,'2010-08-18');
/*!40000 ALTER TABLE `itens_tratamento` ENABLE KEYS */;


--
-- Definition of table `paciente`
--

DROP TABLE IF EXISTS `paciente`;
CREATE TABLE `paciente` (
  `paciente_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `paciente_nome` varchar(45) NOT NULL,
  `paciente_rua` varchar(45) NOT NULL,
  `paciente_bairro` varchar(45) NOT NULL,
  `paciente_cidade` varchar(45) NOT NULL,
  `paciente_cep` varchar(45) NOT NULL,
  `paciente_estado` varchar(45) NOT NULL,
  `paciente_rg` varchar(45) NOT NULL,
  `paciente_cpf` varchar(45) NOT NULL,
  `paciente_telefone_1` varchar(15) NOT NULL,
  `paciente_telefone_2` varchar(15) NOT NULL,
  `paciente_data_nasc` date NOT NULL,
  `paciente_sexo` varchar(9) NOT NULL,
  PRIMARY KEY (`paciente_cod`)
) ENGINE=InnoDB AUTO_INCREMENT=98 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `paciente`
--

/*!40000 ALTER TABLE `paciente` DISABLE KEYS */;
INSERT INTO `paciente` (`paciente_cod`,`paciente_nome`,`paciente_rua`,`paciente_bairro`,`paciente_cidade`,`paciente_cep`,`paciente_estado`,`paciente_rg`,`paciente_cpf`,`paciente_telefone_1`,`paciente_telefone_2`,`paciente_data_nasc`,`paciente_sexo`) VALUES 
 (92,'Gustavo Sousa Bonelli','Rua Don Inacio, 271','Vila Rica','Guaxupe','37.800-000','MG','mg1111111','111.111.111-11','(35)3551-1111','(35)1111-1111','1989-09-22','Masculino'),
 (93,'Marcelo Mendonca ','ah','a ','a ',' ','a ',' ','111.111.111-11 ','(11)1111-1111','','1111-11-11','Masculino'),
 (95,'Joao da Silveira neto','rua','bairro','Guaxupe','37.800-000','MG','','111.111.111-11','(99)9999-9999','(99)9999-9999','1985-02-12','Masculino'),
 (96,'Mariana da Silva','rua ','bairro ','carmo do rio claro ',' ','MG ',' ','111.111.111-11 ','(88)8888-8888','(77)7777-7777','1996-11-06','Masculino'),
 (97,'nome','rua','bairro','','','','','111.111.111-11','(88)8888-8888','','1111-11-11','Masculino');
/*!40000 ALTER TABLE `paciente` ENABLE KEYS */;


--
-- Definition of table `servico`
--

DROP TABLE IF EXISTS `servico`;
CREATE TABLE `servico` (
  `servico_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `servico_descricao` varchar(45) NOT NULL,
  `servico_preco` float NOT NULL,
  PRIMARY KEY (`servico_cod`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `servico`
--

/*!40000 ALTER TABLE `servico` DISABLE KEYS */;
INSERT INTO `servico` (`servico_cod`,`servico_descricao`,`servico_preco`) VALUES 
 (3,'Clareamento',100),
 (4,'Extracao',20),
 (5,'Extracao Siso',150),
 (6,'Obturacao',15),
 (7,'Implante',250),
 (8,'Canal',500);
/*!40000 ALTER TABLE `servico` ENABLE KEYS */;


--
-- Definition of table `tratamento`
--

DROP TABLE IF EXISTS `tratamento`;
CREATE TABLE `tratamento` (
  `tratamento_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tratamento_agenda_cod` int(10) unsigned NOT NULL,
  `tratamento_concluido` varchar(3) NOT NULL,
  `tratamento_data_inicio` date NOT NULL,
  `tratamento_data_termino` date NOT NULL,
  PRIMARY KEY (`tratamento_cod`),
  KEY `FK_agenda` (`tratamento_agenda_cod`),
  CONSTRAINT `FK_agenda` FOREIGN KEY (`tratamento_agenda_cod`) REFERENCES `agenda` (`agenda_cod`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tratamento`
--

/*!40000 ALTER TABLE `tratamento` DISABLE KEYS */;
INSERT INTO `tratamento` (`tratamento_cod`,`tratamento_agenda_cod`,`tratamento_concluido`,`tratamento_data_inicio`,`tratamento_data_termino`) VALUES 
 (1,7,'sim','2010-08-17','2010-08-17'),
 (2,9,'nao','2010-08-17','0000-00-00'),
 (3,11,'sim','2010-08-18','2010-08-18');
/*!40000 ALTER TABLE `tratamento` ENABLE KEYS */;


--
-- Definition of table `usuario`
--

DROP TABLE IF EXISTS `usuario`;
CREATE TABLE `usuario` (
  `usuario_cod` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usuario_nome` varchar(45) NOT NULL,
  `usuario_senha` varchar(45) NOT NULL,
  `usuario_cat` varchar(45) NOT NULL,
  `usuario_trava` varchar(45) NOT NULL,
  PRIMARY KEY (`usuario_cod`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `usuario`
--

/*!40000 ALTER TABLE `usuario` DISABLE KEYS */;
INSERT INTO `usuario` (`usuario_cod`,`usuario_nome`,`usuario_senha`,`usuario_cat`,`usuario_trava`) VALUES 
 (1,'adm','1234','Administrador','123'),
 (2,'secretaria','4321','Usuario','123');
/*!40000 ALTER TABLE `usuario` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
